%global pypi_name tomlkit

%{?python_enable_dependency_generator}

Name:           python-%{pypi_name}
Summary:        Style preserving TOML library
Version:        0.13.2
Release:        %mkrel 2
License:        MIT
Group:          Development/Python
URL:            https://github.com/sdispater/tomlkit
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

# test dependencies
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyyaml)

%description
TOML Kit is a 0.5.0-compliant TOML library.

It includes a parser that preserves all comments, indentations,
whitespace and internal element ordering, and makes them accessible and
editable via an intuitive API.

You can also create new TOML documents from scratch using the provided
helpers.

Part of the implementation as been adapted, improved and fixed from
Molten.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
TOML Kit is a 0.5.0-compliant TOML library.

It includes a parser that preserves all comments, indentations,
whitespace and internal element ordering, and makes them accessible and
editable via an intuitive API.

You can also create new TOML documents from scratch using the provided
helpers.

Part of the implementation as been adapted, improved and fixed from
Molten.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tomlkit


%check
%{python3} -m pytest tests/


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.13.2-2.mga10
+ Revision: 2237325
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 0.13.2-1.mga10
+ Revision: 2153589
- new version: 0.13.2
- rebuild for python 3.13

* Tue Jul 02 2024 papoteur <papoteur> 0.12.4-1.mga10
+ Revision: 2078924
- new version 0.12.4

* Sun Dec 17 2023 papoteur <papoteur> 0.12.3-2.mga10
+ Revision: 2018620
- rebuild for python 3.12
- new {paquet[1]}

* Sat Dec 09 2023 wally <wally> 0.11.4-2.mga10
+ Revision: 2016591
- rebuild for py3.12

* Mon Sep 05 2022 kekepower <kekepower> 0.11.4-1.mga9
+ Revision: 1884275
- Update to version 0.11.4

* Mon Mar 28 2022 umeabot <umeabot> 0.9.2-2.mga9
+ Revision: 1829522
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.9.2-1.mga9
+ Revision: 1774654
- update to 0.9.2 and python 3.10

* Sat Apr 10 2021 joequant <joequant> 0.7.0-1.mga9
+ Revision: 1714445
- imported package python-tomlkit

